////////////////////////////////////////////////////////////////////////////////
// 
// CommandlineOptions.hh 
//
//    produced: 04 Oct 1999 jr
// last change: 04 Oct 1999 jr
//
// This program is free software; Please read COPYING
//  (GNU General Public Licence) for details
//  this file was written by Joerg Rambau for TOPCOM
//
////////////////////////////////////////////////////////////////////////////////
#ifndef COMMANDLINEOPTIONS_HH
#define COMMANDLINEOPTIONS_HH

#include <cstdlib>
#include <cstdio>
#include <cstring>

#include "Global.hh"

class CommandlineOptions {
private:
  static bool      _debug;
  static bool      _mute;
  static bool      _positive;
  static bool      _shortoutput;
  static bool      _longoutput;
  static bool      _verbose;
  static int       _proc;

public:
  CommandlineOptions() {}
  CommandlineOptions(const CommandlineOptions&) {}
public:
  // initialization:
  static void init(const int argc, const char** argv);
  // accessors:
  inline static bool      debug()                   { return _debug; }
  inline static bool      mute()                    { return _mute; }
  inline static bool      positive()                { return _positive; }
  inline static bool      shortoutput()             { return _shortoutput; }
  inline static bool      longoutput()              { return _longoutput; }
  inline static bool      verbose()                 { return _verbose; }
  inline static int       proc()                    { return _proc; }
};

#endif

// eof CommandlineOptions.hh
