////////////////////////////////////////////////////////////////////////////////
// 
// SumVertexList.hh 
//
//    produced: 01/12/06 cw
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SUMVERTEXLIST_HH
#define SUMVERTEXLIST_HH

#include <assert.h>

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
#include <string.h>
#include "Vector.hh"
#include "IntegerVector.hh"
#include "VPolytope.hh"
#include "SumVertex.hh"

#include "CommandlineOptions.hh"


typedef Array<SumVertex> sumvertexlist_data;

class SumVertexList : public sumvertexlist_data {
private:


public:
  // constructors:
  inline SumVertexList();
  inline SumVertexList(const SumVertexList&);
  inline SumVertexList(const SumVertex&);

  // destructor:
  inline ~SumVertexList();

  // accessors:
  inline const size_type numVert() const;
  inline const SumVertex& pol(const size_type) const;
};

inline SumVertexList::~SumVertexList() {}

inline SumVertexList::SumVertexList() : sumvertexlist_data() {
}
inline SumVertexList::SumVertexList(const SumVertexList& sumvertexlist) : sumvertexlist_data(sumvertexlist) {
}
inline SumVertexList::SumVertexList(const SumVertex& vpoly) : sumvertexlist_data(1,vpoly) {
}

inline const size_type SumVertexList::numVert() const {
  return maxindex();
}

#endif

// eof SumVertexList.hh
