#!/usr/bin/perl

# [decomp]:[coord]:[max] -> cdd format
# only uses middle of line ([coord])
# SYNTAX :
# perl polyOuput2cdd sum.out > sum.ext
# It is also possile to read from standard input,
# allowing things like:
# ./minkSum < data.in | perl polyOuput2cdd

if ($ARGV[0] =~ /^-+h/) {
    print stderr "Syntax : perl polyOuput2cdd sum.out > sum.ext\n";
    print stderr "You can also read the data from standard input :\n";
    print stderr "         perl polyOuput2cdd < sum.out > sum.ext\n";
    die          " or      ./minkSum < data.in | perl polyOuput2cdd\n";
}

print "[\n";

while (<>) {
    if (m%\: (\[[^ ]*\]) \:%) {
	print $1."\n";
    }
}

print "]\n";
